For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet All
        • GETGet
        • POSTUpdate
        • DELDelete
Logo
Sign inBook a demo
API ReferenceEntityMetadata

Update

POST
https://api.mercoa.com/entity/:entityId/metadata/:key
POST
/entity/:entityId/metadata/:key
$curl -X POST https://api.mercoa.com/entity/ent_a0f6ea94-0761-4a5e-a416-3c453cb7eced/metadata/propertyId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> "{key: '\''prop_123'\'', value: '\''Beach Rental'\''}",
> "{key: '\''prop_456'\'', value: '\''City Rental'\''}"
>]'
1[
2 "{key: 'prop_123', value: 'Beach Rental'}",
3 "{key: 'prop_456', value: 'City Rental'}"
4]
Update metadata associated with a specific key
Was this page helpful?
Previous

Delete

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID
keystringRequired

Request

This endpoint expects a list of strings.

Response

This endpoint returns a list of strings.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented